Support

Documentation

Server environment requirements

In order to work, Akeeba Solo (standalone) requires the following server software environment:

  • PHP version 5.3.3 or later. We strongly recommend PHP 5.3.10 or later for improved security.

  • MySQL 5.0.42 or later. MySQL 5.1 or later recommended for optimal performance. MySQL 4.x is not supported. Alternatively you may use PostgreSQL 9.1+, Microsoft SQL Server 2008+ or Microsoft Windows Azure SQL database. Akeeba Solo can be installed on and is able to backup and restore databases running on any of the above server technologies.

  • Minimum 24Mb of PHP memory_limit (sufficient only for smaller web sites). More is better. 64Mb is recommended for optimal performance on larger sites. 128Mb is recommended for sites containing deep-nested directories with thousands of files.

    Even though Akeeba Solo may run on servers with a lesser memory limit, it is unlikely that it will ever finish the backup process.

  • Available free space or disk space quota limit which is adequate for storing your backups.

  • The cURL PHP module must be installed for FTP and cloud backup to work.

Likewise, Akeeba Backup for WordPress requires the following server software environment:

  • WordPress 3.8 or later is officially supported. There are reports of the plugin working on WordPress versions as old as 3.4 but you need to make one manual change in defines.php as described later in the documentation.

  • PHP version 5.3.3 or later. We strongly recommend PHP 5.3.10 or later for improved security.

  • MySQL 5.0.42 or later. MySQL 5.1 or later recommended for optimal performance. MySQL 4.x is not supported.

  • Minimum 24Mb of PHP memory_limit (sufficient only for smaller web sites). More is better. 64Mb is recommended for optimal performance on larger sites. 128Mb is recommended for sites containing deep-nested directories with thousands of files.

    Even though Akeeba Solo may run on servers with a lesser memory limit, it is unlikely that it will ever finish the backup process.

  • Available free space or disk space quota limit which is adequate for storing your backups.

  • The cURL PHP module must be installed for FTP and cloud backup to work.

As far as the browser is concerned, you can use:

  • Internet Explorer 9, or greater (IE7 and IE6 are not supported, IE8 users may get random backup crashes on larger sites).

  • Safari 4, or greater

  • Opera 9, or greater. Experimental support due to lack of interest by users.

  • Google Chrome 4 or greater. This is the best supported browser.

  • Firefox 20 or later.

Some versions of Firefox are displaying erratic behaviour with JavaScript. We cannot guarantee trouble-free operation under earlier versions of Firefox. Most likely it will work just fine, but if you do spot an odd behaviour please try using one of the supported browsers above before assuming there is a bug in our software. Most likely it's a bug in your version of Firefox.

In any case, you must make sure that JavaScript is enabled on your browser for the backup to work. If you are using AVG antivirus, please disable its Link Checker feature (and reboot your computer) as it is known to cause problems with several JavaScript-based web applications, including Akeeba Solo, Akeeba Backup for WordPress, Akeeba Backup for Joomla! and their tools.

Cookies Notification - Action required

This website uses cookies to provide user authentication and improve your user experience. Please indicate whether you consent to our site placing these cookies on your device. You can change your preference later, from the controls which will be made available to you at the bottom of every page of our site.